Bug 190516 - ethereal crashes when capture statistics window is closed
ethereal crashes when capture statistics window is closed
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ethereal (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Depends On:
  Show dependency treegraph
Reported: 2006-05-03 04:14 EDT by Radek Bíba
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: wireshark-0.99.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-04 10:48:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Radek Bíba 2006-05-03 04:14:20 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. launch ethereal
2. ctrl+k, start capturing
3. helper window with capture statistics (percentage of used protocols, time,
stop button) is opened; close it by the close button on window decoration
created by your window manager, not by the internal Stop button
Actual results:
Segfault. Sometimes it's silent crash, sometimes with these details:
Gtk-WARNING **: invalid class type `(unknown)' in cast to `GtkProgressBar'
Gtk-CRITICAL **: file gtkprogressbar.c: line 750 (gtk_progress_bar_update):
assertion `GTK_IS_PROGRESS_BAR (pbar)' failed.
Gtk-WARNING **: invalid unclassed pointer in cast to `GtkLabel'
Gtk-CRITICAL **: file gtklabel.c: line 261 (gtk_label_set_text): assertion
`GTK_IS_LABEL (label)' failed.

Expected results:
capturing is stopped and the main window displays captured data, or possibly
just cancelled capturing, but no crash

Additional info:
Reproduced also on RHEL-2.1. No crash on RHEL-4, just a few GLib-GObject
Comment 2 Radek Vokal 2006-06-06 07:32:17 EDT
Bug fixed in rawhide, ethereal-1.1.0-0.svn.3. This bug will be fixed in RHEL
with next security update. Not a high priroty issue, lowering severity. 
Comment 3 Radek Vokal 2006-08-04 10:48:53 EDT
Closing, bug fixed with wireshark-0.99.1 release
Comment 4 Radek Bíba 2006-08-04 11:25:49 EDT
Thanks Radek.

Note You need to log in before you can comment on or make changes to this bug.